System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Web.UI.WebControls.ControlIDConverter

Not all controls can be validated with a validation control. This class creates a collection of control IDs on the Web Forms page that can be associated with a validation control. This collection is commonly used in a designer to display a list of controls on the Web Forms page that can be associated with a validation control.

When creating your own validation control, you can enable the designer to display a list of controls that support validation controls. Simply add an attribute to the string property that represents the control to validate, as follows:

`<TypeConverter(GetType(ValidatedControlConverter))> _ Public Property ControlToValidate() As String Get // Add code to get the ID of the control to validate. End Get Set // Add code to set the ID of the control to validate. End Set End Property` `[TypeConverter(typeof(ValidatedControlConverter))] public string ControlToValidate { get { // Add code to get the ID of the control to validate. } set { // Add code to set the ID of the control to validate. } }`

Converts a control on the Web Forms page that can be validated with a validation control to a string containing the control's ID.

- Constructor
  To be added

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  2.0.0.0
  System.Boolean ``

  When the method returns true, the instance will add the ID of the control specified in the control parameter to the returned by the method.

  Returns a value indicating whether the specified control should be added to the list of controls that can be validated.

  true if the control should be added to the list of controls that can be validated; otherwise, false.

  The control to check.
- Method
  System.ComponentModel.TypeConverter+StandardValuesCollection `` a To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` a To be added a To be added 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` a To be added a To be added 1.0.5000.0 2.0.0.0